Skip to main content
GET
/
api
/
v3
/
offramp
/
{referenceId}
Get Offramp MobileMoney Status
curl --request GET \
  --url https://preview.kotanipay.com/api/v3/offramp/{referenceId} \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "message": "Offramp status retrieved",
  "data": {
    "referenceId": "<string>",
    "fiatAmount": 123,
    "fiatTransactionAmount": 123,
    "cryptoAmount": 123,
    "fiatCurrency": "KES",
    "customerKey": "<string>",
    "fiatWalletId": "<string>",
    "senderAddress": "<string>",
    "transactionHash": "<string>",
    "transactionHashAmount": 123,
    "status": "<string>",
    "onchainStatus": "<string>",
    "rate": {},
    "escrowAddress": "<string>",
    "usingIntegratedWallet": true,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "onchainError": {},
    "transactionError": {}
  }
}

Documentation Index

Fetch the complete documentation index at: https://manual.kotanipay.com/llms.txt

Use this file to discover all available pages before exploring further.

This endpoint will return the status of the offramp withdrawal request.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

referenceId
string
required

Response

success
boolean
Example:

true

message
string
Example:

"Offramp status retrieved"

data
object